<div class="card">
    <ng-template [canView]="[1, 3]">
        <button mat-icon-button class="menu" [matMenuTriggerFor]="menu">
            <mat-icon>more_horiz</mat-icon>
        </button>

        <mat-menu #menu="matMenu">
            <button mat-menu-item>
                <mat-icon>visibility</mat-icon>
                <span>Visualizar</span>
            </button>

            <ng-template [canView]="[1]">
                <button mat-menu-item (click)="openDeleteDialog()">
                    <mat-icon color="warn">delete</mat-icon>
                    <span>Remover</span>
                </button>
            </ng-template>
        </mat-menu>
    </ng-template>

    <app-avatar
        [name]="user.name"
        [photo]="user.avatar"
        class="avatar"
    ></app-avatar>

    <h3>{{ user.name }}</h3>

    <div class="info">
        <div class="email">
            <mat-icon>email</mat-icon>
            {{ user.email }}
        </div>
        <div class="role">
            <mat-icon>admin_panel_settings</mat-icon>
            {{ roleLabel(user.role_id) }}
        </div>
    </div>
</div>
